#include <stdio.h>
#include <unistd.h>
#include <sys/types.h>
#include <fcntl.h>
#include "tst.h"

int ticker[3];

int
main(int argc, char **argv)
{
	int ser;
	int i;
	char buf[112];

	if ((ser = open(argv[1], O_RDWR)) < 0)
	{
		perror(argv[1]);
		return(1);
	}
	ConfigTTY(ser);
	ClockStart();
	for (i = 0; i < 50; i++)
	{
		ticker[0] = ClockAsk();
		if (writen(ser, "Q", 1) < 0)
			break;
		ticker[1] = ClockAsk();
		/* readn takes all the time here -- reading 112 bytes */
		if (readn(ser, buf, 112) < 0)
			break;
		ticker[2] = ClockAsk();
		if (buf[85] != 'R')
			printf("Bad response\n");
		fprintf(stderr, "%d %d %d\n", ticker[0], ticker[1],
				ticker[2]);
	}
	close(ser);
	return(0);
}
